# Auto MPG Data Set

### Introduction:
The Auto MPG data concerns city-cycle fuel consumption in miles per gallon. It has 398 instances and 9 attributes. 8 attributes are quantitative amongst which 3 are multi-valued
 discrete while 5 are continuous. 
 
This data set can be analyzed to predict relationship of attributes with each other. Particularly, regression models can be used to predict value of Miles Per Gallon given other attributes.


### Data Dictionary:

Column Position	| Atrribute Name | Definition | Data Type | Example | % Null Ratios
 --- | --- | --- | --- | --- | ---
1 | MPG | MPG is Miles Per Gallon. This is the amount of fuel consumed by the particular vehicle of an instance. It is a continuos variable. This varable can also be used as the variable to be predicted for any car | Quantitative | 18.0, 14.0, 23.8 | 0
2 | Cylinders | This attribute describes the number of cylinders of each car. This is a discrete valued attribute | Quantitative | 4, 6, 8 | 0
3 | Displacement | This is another attibute of the vehicle which has a quantitative continous value describing the engine displacement | Quantitative | 105.0, 103.0, 120.0 | 0
4 | Horsepower | This attribute tells about the horsepower of a car and is a continous valued variable | Quantitative | 90.00, 70.00, 65.00 | 0
5 | Weight | This refers to the weight of each car which is a continous valued quantitative variable | Quantitative | 3504., 2774., 2264. | 0
6 | Acceleration | The acceleration of the car | Quantitative | 12.0, 9.5, 13.0 | 2
7 | Model Year | The year the model was released is mentioned in this attribute | Quantitative | 74, 75, 82 | 0
8 | Origin | The origin attribute has 3 discrete values. 1 refers to cars made in USA, 2 for Europe and 3 for Asia | Quantitative | 1, 2, 3 | 0
9 | Car Name | This is the name of the car in string | Qualitative | "ford torino", "amc hornet" | 0

### Source:
Asuncion, A. & Newman, D.J. (2007). UCI Machine Learning Repository [http://www.ics.uci.edu/~mlearn/MLRepository.html]. Irvine, CA: University of California, School of Information and Computer Science.
